---
title: '<xsl:element>'
slug: Web/XSLT/Element/element
tags:
  - Element
  - Reference
  - XSLT
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:element&gt;</code> element creates an element in the output document.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:element name=NAME namespace=URI use-attribute-sets=LIST-OF-NAMES &gt;
	TEMPLATE
&lt;/xsl:element&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>name</code></dt>
 <dd>Specifies the desired name of the output element. The name must be a valid QName.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<dl>
 <dt><code>namespace</code></dt>
 <dd>Specifies the namespace of the output element.</dd>
 <dt><code>use-attribute-sets</code></dt>
 <dd>A whitespace‐separated list of <a href="/en-US/docs/Web/XSLT/attribute-set"><code>attribute-set</code> element</a> names to be applied to the <code>element</code> element’s output element. Applied attributes can be overridden via nested <code>attribute</code> elements.</dd>
</dl>

<h3 id="Type">Type</h3>

<p>Instruction, appears within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 7.1.2.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
